Bug 111234 - Consider change of default action on titlebar double click
Consider change of default action on titlebar double click
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 00:57 EST by Nick Marsh
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 20:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Marsh 2003-12-01 00:57:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Double-clicking the title should perform the "minimize/maximize"
behavior by default as opposed the "roll-up" behavior. Not that the
roll-up behavior is worthless, but I feel its safe to assume that the
majority of desktop users are used to what Windows and Macintosh OSs do.

Version-Release number of selected component (if applicable):
nautilus-2.4.0-7

How reproducible:
Always

Steps to Reproduce:
1. Open various windows.
2. Double click on the title bar.
    

Actual Results:  The application "rolls up".

Expected Results:  It should minimize/maximize like most operating
systems.

Additional info:

Thanks!
Comment 1 Nick Marsh 2004-03-12 11:07:41 EST
Changing to FC2.
Comment 2 Elijah Newren 2004-04-14 20:01:35 EDT
The default action for Metacity in Gnome _is_ toggle_maximize. 
Unfortunately, cvs.gnome.org is down so I can't find out when this
became the default.  I guess RedHat might be manually changing the
default, but they usually don't do that.  Are you sure that this is an
issue with FC2 and not just some gconf values you have hanging around?
Comment 3 Nick Marsh 2004-04-14 20:13:13 EDT
It's fixed in current release FC2T2. Glad to see the change. Desktop Linux is in the details, 
this was one of them.

Note You need to log in before you can comment on or make changes to this bug.